> For the complete documentation index, see [llms.txt](https://docs.taptalk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-android/room-list/room-list-tapui.md).

# Room List - TapUI

If you are using UI implementation type, you can use the method below to open TapTalk.io's chat room list activity.

{% tabs %}
{% tab title="Java" %}

```java
import io.taptalk.TapTalk.Manager.TapUI;

...

TapUI.getInstance().openRoomList(CONTEXT);
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
import io.taptalk.TapTalk.Manager.TapUI

...

TapUI.getInstance().openRoomList(CONTEXT)
```

{% endtab %}
{% endtabs %}

You may also open a specified chat room directly after the room list by passing a room model or room ID parameter. Passing roomID may require additional time to load chat room data after the room list page is opened.

{% tabs %}
{% tab title="Java" %}

```java
import io.taptalk.TapTalk.Manager.TapUI;
import io.taptalk.TapTalk.Model.TAPRoomModel;

...

// Opens room list, and then chat room with provided room model
TapUI.getInstance().openRoomList(CONTEXT, ROOM);

// Opens room list, then loads chat room data and opens it when successful
TapUI.getInstance().openRoomList(CONTEXT, ROOM_ID);
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
import io.taptalk.TapTalk.Manager.TapUI
import io.taptalk.TapTalk.Model.TAPRoomModel

...

// Opens room list, and then chat room with provided room model
TapUI.getInstance().openRoomList(CONTEXT, ROOM);

// Opens room list, then loads chat room data and opens it when successful
TapUI.getInstance().openRoomList(CONTEXT, ROOM_ID);
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Parameters**\
\&#xNAN;**`CONTEXT`**: (Context) your Application or Activity context\
\&#xNAN;**`ROOM`**: (TAPRoomModel) selected room model to be opened\
\&#xNAN;**`ROOM_ID`**: (String) ID of the selected room model
{% endhint %}

Another option to use the chat room list as a fragment is also available:

{% tabs %}
{% tab title="Java" %}

```java
import io.taptalk.TapTalk.Manager.TapUI;
import io.taptalk.TapTalk.View.Fragment.TapUIMainRoomListFragment;

...

private TapUIMainRoomListFragment roomListFragment;

roomListFragment = TapUI.getInstance().getRoomListFragment();

getSupportFragmentManager()
    .beginTransaction()
    .show(roomListFragment)
    .commit();
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
import io.taptalk.TapTalk.Manager.TapUI
import io.taptalk.TapTalk.View.Fragment.TapUIMainRoomListFragment

...

var roomListFragment = TapUI.getInstance().getRoomListFragment();

getSupportFragmentManager()
    .beginTransaction()
    .show(roomListFragment)
    .commit()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-android/room-list/room-list-tapui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
